Bug 1176031 - (CVE-2020-24553) VUL-0: CVE-2020-24553: go net/http/cgi,net/http/fcgi: Cross-Site Scripting (XSS) when Content-Type is not specified
(CVE-2020-24553)
VUL-0: CVE-2020-24553: go net/http/cgi,net/http/fcgi: Cross-Site Scripting (X...
Status: RESOLVED FIXED
Classification: Novell Products
Product: SUSE Security Incidents
Classification: Novell Products
Component: Incidents
unspecified
Other Other
: P3 - Medium : Normal
: ---
Assigned To: Security Team bot
Security Team bot
https://smash.suse.de/issue/266510/
CVSSv3.1:SUSE:CVE-2020-24553:6.1:(AV:...
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2020-09-01 19:17 UTC by Jeff Kowalczyk
Modified: 2020-10-03 07:01 UTC (History)
1 user (show)

See Also:
Found By: ---
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jeff Kowalczyk 2020-09-01 19:17:20 UTC
Go 1.15.1 and Go 1.14.8 address a recently reported security issue:

When a Handler does not explicitly set the Content-Type header, the net/http/cgi and net/http/fcgi packages would default to “text/html”, which could cause a Cross-Site Scripting vulnerability if an attacker can control any part of the contents of a response.

The Content-Type header is now set based on the contents of the first Write using http.DetectContentType, which is consistent with the behavior of the net/http package.

Although this protects some applications that validate the contents of uploaded files, not setting the Content-Type header explicitly on any attacker-controlled file is unsafe and should be avoided.

This issue is CVE-2020-24553 and Go issue https://github.com/golang/go/issues/40928
Comment 1 OBSbugzilla Bot 2020-09-01 21:30:15 UTC
This is an autogenerated message for OBS integration:
This bug (1176031) was mentioned in
https://build.opensuse.org/request/show/831306 Factory / go1.14
https://build.opensuse.org/request/show/831307 Factory / go1.15
Comment 5 Swamp Workflow Management 2020-09-28 13:14:29 UTC
SUSE-SU-2020:2761-1: An update that solves one vulnerability and has one errata is now available.

Category: security (moderate)
Bug References: 1164903,1176031
CVE References: CVE-2020-24553
JIRA References: 
Sources used:
SUSE Linux Enterprise Module for Development Tools 15-SP2 (src):    go1.14-1.14.9-1.18.1
SUSE Linux Enterprise Module for Development Tools 15-SP1 (src):    go1.14-1.14.9-1.18.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 6 Swamp Workflow Management 2020-09-29 13:14:47 UTC
SUSE-SU-2020:2776-1: An update that solves one vulnerability, contains one feature and has two fixes is now available.

Category: security (moderate)
Bug References: 1170826,1175132,1176031
CVE References: CVE-2020-24553
JIRA References: ECO-1484
Sources used:
SUSE Linux Enterprise Module for Development Tools 15-SP2 (src):    go1.15-1.15.2-1.3.1
SUSE Linux Enterprise Module for Development Tools 15-SP1 (src):    go1.15-1.15.2-1.3.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 7 Swamp Workflow Management 2020-10-01 13:29:27 UTC
openSUSE-SU-2020:1584-1: An update that solves one vulnerability and has one errata is now available.

Category: security (moderate)
Bug References: 1164903,1176031
CVE References: CVE-2020-24553
JIRA References: 
Sources used:
openSUSE Leap 15.1 (src):    go1.14-1.14.9-lp151.16.1
Comment 8 Swamp Workflow Management 2020-10-02 01:27:11 UTC
openSUSE-SU-2020:1587-1: An update that solves one vulnerability and has one errata is now available.

Category: security (moderate)
Bug References: 1164903,1176031
CVE References: CVE-2020-24553
JIRA References: 
Sources used:
openSUSE Leap 15.2 (src):    go1.14-1.14.9-lp152.2.6.1
Comment 9 Marcus Meissner 2020-10-03 07:01:29 UTC
released